https://www.macfreak.nl/modules/news/images/macOS-Catalina-icoon.jpg
macOS 10.15.4 waarschuwt voor verouderde systeemextensies
Vorig jaar liet Apple het al aan ontwikkelaars weten: macOS 10.15 Catalina is de laatste versie van het besturingssysteem voor de Mac waarin kernelextensies gebruikt kunnen worden. Eén van de redenen hiervoor is veiligheid, kernelextensies geven een programma relatief veel toegang tot het systeem.

Met het uitkomen van de 10.15.4 update merken wij als eindgebruikers hier ook wat van, want bij software die nog gebruik maakt van kernelextensies krijgen we onderstaande waarschuwing te zien. Dit is onder andere het geval bij de anti-malware app Malwarebytes, virusscanner NetBarrier X9 en software voor Drobo opslag. Op dit moment is dit niet meer dan een waarschuwing, pas als je later dit jaar wilt upgraden naar macOS 10.16 kan dit echt belangrijk zijn.

https://www.macfreak.nl/modules/news/images/zArt.LegacySystemExtensionWarning.jpg
macOS 10.15.4 waarschuwt voor verouderde systeemextensies


Want net zoals 32-bits apps niet meer werken vanaf macOS 10.15 Catalina, zullen apps die gebruik maken van kernelextensies in macOS 10.16 niet meer bruikbaar zijn.

Het is dus aan te raden om even op te letten bij welke programma’s je deze melding te zien krijgt, en er zeker van te zijn dat die een upgrade hebben gekregen voordat je in de herfst de overstap maakt naar macOS 10.16. Ondertussen kan je voor meer informatie terecht op deze support-pagina van Apple zelf of deze forum-post van Malwarebytes.



 #macOS
geplaatst door: Robert
antw: macOS 10.15.4 waarschuwt voor verouderde systeemextensies
reactie #1 geplaatst: 26 maart 2020 - 09:06
Jep, Objective Development (Little Snitch) en Wacom werden er hierbij bij mij uitgegooid.
geplaatst door: kebdarge
Joh, al weer bijna 20 jaar MacFreak. Wat vliegt de tijd...
antw: macOS 10.15.4 waarschuwt voor verouderde systeemextensies
reactie #2 geplaatst: 26 maart 2020 - 17:30
Ook bij Adguard en Bitdefender krijg ik deze mededeling.
geplaatst door: dolby
Met vriendelijk groeten van dolby.
https://www.flickr.com/photos/fotogek/collections
antw: macOS 10.15.4 waarschuwt voor verouderde systeemextensies
reactie #3 geplaatst: 26 maart 2020 - 22:31
Ik heb het iets te snel weggeklikt; is het ook mogelijk om de waarschuwing nog een keer in beeld te krijgen ?
geplaatst door: okkehel
antw: macOS 10.15.4 waarschuwt voor verouderde systeemextensies
reactie #4 geplaatst: 26 maart 2020 - 22:38
Apple menu
Over deze Mac
Systeeminformatie
Software
Verouderde software
geplaatst door: MacFrankie
Op mijn werk heb ik al Windows, thuis wil ik geen systeembeheerder meer zijn!
antw: macOS 10.15.4 waarschuwt voor verouderde systeemextensies
reactie #5 geplaatst: 27 maart 2020 - 07:24
Jep, Objective Development (Little Snitch) en Wacom werden er hierbij bij mij uitgegooid.

Het was alleen een waarschuwing. Er is niets verwijderd of 'uitgegooid'
geplaatst door: Webarcher
'The propeller is just a big fan in front of the plane used to keep the pilot cool. When it stops, you can actually watch the pilot start sweating'
antw: macOS 10.15.4 waarschuwt voor verouderde systeemextensies
reactie #6 geplaatst: 28 maart 2020 - 11:28
Apple menu
Over deze Mac
Systeeminformatie
Software
Verouderde software

Bedankt voor de tip. Daar staat alleen niks, maar ik kreeg wel een waarschuwing bij de update.
geplaatst door: okkehel
antw: macOS 10.15.4 waarschuwt voor verouderde systeemextensies
reactie #7 geplaatst: 28 maart 2020 - 16:59
Bij mij Safe Online via Ziggo abbo verkregen, idd alleen waarschuwing.
geplaatst door: Kobus1960
 MBP 15 Retina 16/256  Iphone 8 64 